Apache Tomcat 7.0.42

## org.apache.catalina.core
Class AprLifecycleListener

    java.lang.Object
      org.apache.catalina.core.AprLifecycleListener

All Implemented Interfaces:
  LifecycleListener

    public class AprLifecycleListener

extends Object
implements LifecycleListener

Implementation of `LifecycleListener` that will init and and destroy APR.

Since:
  4.1
Version:
  $Id: AprLifecycleListener.java 1445210 2013-02-12 15:45:58Z markt $
Author:
  Remy Maucherat, Filip Hanik

Field Summary
`protected static boolean` `aprAvailable`
`protected static boolean` `aprInitialized`
`protected static String` `FIPSMode`
`protected static boolean` `fipsModeActive`
`protected static Object` `lock`
`protected static StringManager` `sm` The string manager for this package.
`protected static boolean` `sslAvailable` Deprecated.
`protected static String` `SSLEngine`
`protected static boolean` `sslInitialized`
`protected static String` `SSLRandomSeed`
`protected static int` `TCN_RECOMMENDED_MINOR`
`protected static int` `TCN_RECOMMENDED_PV`
`protected static int` `TCN_REQUIRED_MAJOR`
`protected static int` `TCN_REQUIRED_MINOR`
`protected static int` `TCN_REQUIRED_PATCH`

Constructor Summary
`AprLifecycleListener()`

Method Summary
`String` `getFIPSMode()`
`String` `getSSLEngine()`
`String` `getSSLRandomSeed()`
`static boolean` `isAprAvailable()`
`boolean` `isFIPSModeActive()`
`void` `lifecycleEvent(LifecycleEvent event)` Primary entry point for startup and shutdown events.
`void` `setFIPSMode(String FIPSMode)`
`void` `setSSLEngine(String SSLEngine)`
`void` `setSSLRandomSeed(String SSLRandomSeed)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sm

    protected static final StringManager sm

  The string manager for this package.

### TCN_REQUIRED_MAJOR

    protected static final int TCN_REQUIRED_MAJOR

See Also:
  Constant Field Values

### TCN_REQUIRED_MINOR

    protected static final int TCN_REQUIRED_MINOR

See Also:
  Constant Field Values

### TCN_REQUIRED_PATCH

    protected static final int TCN_REQUIRED_PATCH

See Also:
  Constant Field Values

### TCN_RECOMMENDED_MINOR

    protected static final int TCN_RECOMMENDED_MINOR

See Also:
  Constant Field Values

### TCN_RECOMMENDED_PV

    protected static final int TCN_RECOMMENDED_PV

See Also:
  Constant Field Values

### SSLEngine

    protected static String SSLEngine

### FIPSMode

    protected static String FIPSMode

### SSLRandomSeed

    protected static String SSLRandomSeed

### sslInitialized

    protected static boolean sslInitialized

### aprInitialized

    protected static boolean aprInitialized

### sslAvailable

    @Deprecated
    protected static boolean sslAvailable

  Deprecated.

### aprAvailable

    protected static boolean aprAvailable

### fipsModeActive

    protected static boolean fipsModeActive

### lock

    protected static final Object lock

Constructor Detail

### AprLifecycleListener

    public AprLifecycleListener()

Method Detail

### isAprAvailable

    public static boolean isAprAvailable()

### lifecycleEvent

    public void lifecycleEvent(LifecycleEvent event)

  Primary entry point for startup and shutdown events.

  Specified by:
    `lifecycleEvent` in interface `LifecycleListener`
  Parameters:
    `event` - The event that has occurred

### getSSLEngine

    public String getSSLEngine()

### setSSLEngine

    public void setSSLEngine(String SSLEngine)

### getSSLRandomSeed

    public String getSSLRandomSeed()

### setSSLRandomSeed

    public void setSSLRandomSeed(String SSLRandomSeed)

### getFIPSMode

    public String getFIPSMode()

### setFIPSMode

    public void setFIPSMode(String FIPSMode)

### isFIPSModeActive

    public boolean isFIPSModeActive()

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.